CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2011-4073

Use-after-free vulnerability in the cryptographic helper handler functionality in Openswan 2.3.0 through 2.6.36 allows remote authenticated users to cause a denial of service (pluto IKE daemon crash) via vectors related to the (1) quick_outI1_continue and (2) quick_outI1 functions.
Publish Date : 2011-11-17 Last Update Date : 2019-07-29
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 399

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate
4.0
AV:N/AC:L/Au:S/C:N/I:N/A:P 2011-10-25 2011-10-28
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2011-4073 oval:org.opensuse.security:def:20114073 unix
DEPRECATED: ELSA-2011-1422 -- openswan security update (moderate) oval:org.mitre.oval:def:28165 unix
DEPRECATED: ELSA-2011:1422: openswan security update (Moderate) oval:org.mitre.oval:def:23264 unix
DSA-2374-1 openswan -- implementation error oval:org.mitre.oval:def:15120 unix
ELSA-2011:1422: openswan security update (Moderate) oval:org.mitre.oval:def:23495 unix
RHSA-2011:1422: openswan security update (Moderate) oval:org.mitre.oval:def:21544 unix
RHSA-2011:1422: openswan security update (Moderate) oval:com.redhat.rhsa:def:20111422 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2011-4073

# Product Type Vendor Product Version Update Edition Language
1 Application Xelerance Openswan 2.3.0 Version Details Vulnerabilities
2 Application Xelerance Openswan 2.3.1 Version Details Vulnerabilities
3 Application Xelerance Openswan 2.4.0 Version Details Vulnerabilities
4 Application Xelerance Openswan 2.4.1 Version Details Vulnerabilities
5 Application Xelerance Openswan 2.4.2 Version Details Vulnerabilities
6 Application Xelerance Openswan 2.4.3 Version Details Vulnerabilities
7 Application Xelerance Openswan 2.4.4 Version Details Vulnerabilities
8 Application Xelerance Openswan 2.4.5 Version Details Vulnerabilities
9 Application Xelerance Openswan 2.4.6 Version Details Vulnerabilities
10 Application Xelerance Openswan 2.4.7 Version Details Vulnerabilities
11 Application Xelerance Openswan 2.4.8 Version Details Vulnerabilities
12 Application Xelerance Openswan 2.4.9 Version Details Vulnerabilities
13 Application Xelerance Openswan 2.4.10 Version Details Vulnerabilities
14 Application Xelerance Openswan 2.4.11 Version Details Vulnerabilities
15 Application Xelerance Openswan 2.4.12 Version Details Vulnerabilities
16 Application Xelerance Openswan 2.4.13 Version Details Vulnerabilities
17 Application Xelerance Openswan 2.5.0 Sbs5 Version Details Vulnerabilities
18 Application Xelerance Openswan 2.5.0 Version Details Vulnerabilities
19 Application Xelerance Openswan 2.5.0 Sbs4 Version Details Vulnerabilities
20 Application Xelerance Openswan 2.5.01 Version Details Vulnerabilities
21 Application Xelerance Openswan 2.5.02 Version Details Vulnerabilities
22 Application Xelerance Openswan 2.5.03 Version Details Vulnerabilities
23 Application Xelerance Openswan 2.5.04 Version Details Vulnerabilities
24 Application Xelerance Openswan 2.5.05 Version Details Vulnerabilities
25 Application Xelerance Openswan 2.5.06 Version Details Vulnerabilities
26 Application Xelerance Openswan 2.5.07 Version Details Vulnerabilities
27 Application Xelerance Openswan 2.5.08 Version Details Vulnerabilities
28 Application Xelerance Openswan 2.5.09 Version Details Vulnerabilities
29 Application Xelerance Openswan 2.5.10 Version Details Vulnerabilities
30 Application Xelerance Openswan 2.5.11 Version Details Vulnerabilities
31 Application Xelerance Openswan 2.5.12 Version Details Vulnerabilities
32 Application Xelerance Openswan 2.5.13 Version Details Vulnerabilities
33 Application Xelerance Openswan 2.5.14 Version Details Vulnerabilities
34 Application Xelerance Openswan 2.5.15 Version Details Vulnerabilities
35 Application Xelerance Openswan 2.5.16 Version Details Vulnerabilities
36 Application Xelerance Openswan 2.5.17 Version Details Vulnerabilities
37 Application Xelerance Openswan 2.5.18 Version Details Vulnerabilities
38 Application Xelerance Openswan 2.6.01 Version Details Vulnerabilities
39 Application Xelerance Openswan 2.6.02 Version Details Vulnerabilities
40 Application Xelerance Openswan 2.6.03 Version Details Vulnerabilities
41 Application Xelerance Openswan 2.6.04 Version Details Vulnerabilities
42 Application Xelerance Openswan 2.6.05 Version Details Vulnerabilities
43 Application Xelerance Openswan 2.6.06 Version Details Vulnerabilities
44 Application Xelerance Openswan 2.6.07 Version Details Vulnerabilities
45 Application Xelerance Openswan 2.6.08 Version Details Vulnerabilities
46 Application Xelerance Openswan 2.6.09 Version Details Vulnerabilities
47 Application Xelerance Openswan 2.6.10 Version Details Vulnerabilities
48 Application Xelerance Openswan 2.6.11 Version Details Vulnerabilities
49 Application Xelerance Openswan 2.6.12 Version Details Vulnerabilities
50 Application Xelerance Openswan 2.6.13 Version Details Vulnerabilities
51 Application Xelerance Openswan 2.6.14 Version Details Vulnerabilities
52 Application Xelerance Openswan 2.6.15 Version Details Vulnerabilities
53 Application Xelerance Openswan 2.6.16 Version Details Vulnerabilities
54 Application Xelerance Openswan 2.6.17 Version Details Vulnerabilities
55 Application Xelerance Openswan 2.6.18 Version Details Vulnerabilities
56 Application Xelerance Openswan 2.6.19 Version Details Vulnerabilities
57 Application Xelerance Openswan 2.6.20 Version Details Vulnerabilities
58 Application Xelerance Openswan 2.6.21 Version Details Vulnerabilities
59 Application Xelerance Openswan 2.6.22 Version Details Vulnerabilities
60 Application Xelerance Openswan 2.6.23 Version Details Vulnerabilities
61 Application Xelerance Openswan 2.6.24 Version Details Vulnerabilities
62 Application Xelerance Openswan 2.6.25 Version Details Vulnerabilities
63 Application Xelerance Openswan 2.6.26 Version Details Vulnerabilities
64 Application Xelerance Openswan 2.6.27 Version Details Vulnerabilities
65 Application Xelerance Openswan 2.6.28 Version Details Vulnerabilities
66 Application Xelerance Openswan 2.6.29 Version Details Vulnerabilities
67 Application Xelerance Openswan 2.6.30 Version Details Vulnerabilities
68 Application Xelerance Openswan 2.6.31 Version Details Vulnerabilities
69 Application Xelerance Openswan 2.6.32 Version Details Vulnerabilities
70 Application Xelerance Openswan 2.6.33 Version Details Vulnerabilities
71 Application Xelerance Openswan 2.6.34 Version Details Vulnerabilities
72 Application Xelerance Openswan 2.6.35 Version Details Vulnerabilities
73 Application Xelerance Openswan 2.6.36 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Xelerance Openswan 73

- References For CVE-2011-4073

http://www.securityfocus.com/bid/50440
BID 50440 Openswan Crpyotgraphic Helper Use After Free Remote Denial Of Service Vulnerability Release Date:2013-09-16
http://www.redhat.com/support/errata/RHSA-2011-1422.html
REDHAT RHSA-2011:1422
http://www.securitytracker.com/id?1026268
SECTRACK 1026268
http://www.openswan.org/download/CVE-2011-4073/CVE-2011-4073.txt CONFIRM
http://www.debian.org/security/2011/dsa-2374
DEBIAN DSA-2374

- Metasploit Modules Related To CVE-2011-4073

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.